import React from "react";
import { Navigationbar } from "./Navigationbar";

export default {
  title: "Navigationbar",
  component: Navigationbar,
  parameters: {
    componentSubtitle: "Display an navigation that could have actions.",
  },
};

const Template = (args) => <Navigationbar {...args} />;

export const Default = Template.bind({});
Default.args = {
  logo: "https://empregos.recrutei.com.br/static/media/logo.8750f6a6.png",
  alt: "Logo da empresa recrutei azul com a letra R em branco",
  closeTitle: "Voltar",
};

export const Select = Template.bind({});
Select.args = {
  ...Default.args,
  select: true,
  options: [
    { label: "Adelaide", value: "adelaide" },
    { label: "Brisbane", value: "brisbane" },
    { label: "Canberra", value: "canberra" },
  ],
  onSelect: (value) => ({ ...value }),
};

export const Close = Template.bind({});
Close.args = {
  ...Default.args,
  close: true,
  onClose: () => {},
};

export const SelectWithClose = Template.bind({});
SelectWithClose.args = {
  ...Select.args,
  ...Close.args,
};
