import styled from "styled-components";

export const Nav = styled.nav`
  padding: 0 20px;
  color: #fff;
  background-color: ${({ color }) => color};

  .content {
    height: 64px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    img {
      max-height: 25px;

      &:hover {
        cursor: pointer;
      }
    }
  }

  .actions {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: ${({ select, close }) =>
      !select && close ? "flex-end" : "space-between"};
  }

  .select {
    width: 300px;
    margin-left: 15px;
    color: #fff;
    display: flex;
    align-items: center;

    .single-select {
      width: 100%;
    }
  }

  .close {
    width: 400px;
    display: flex;
    align-items: center;
    flex-direction: row-reverse;

    svg {
      margin-right: 10px;
    }
  }
`;

export const ButtonLink = styled.button`
  background-color: transparent;
  color: #fff;
  font-weight: 600;
`;

export const selectStyles = {
  placeholder: (base) => ({ ...base, color: "#FFF" }),
  singleValue: (base) => ({ ...base, color: "#FFF" }),
  valueContainer: (base) => ({ ...base, color: "#FFF" }),
  dropdownIndicator: (base) => ({ ...base, color: "#FFF" }),
  menu: (base) => ({
    ...base,
    color: "#333",
    cursor: "pointer",
  }),
  control: (base) => ({
    ...base,
    fontSize: 17,
    borderWidth: 0,
    backgroundColor: "transparent",
    fontWeight: "bold",
    color: "#333",
  }),
};
